#include <stdio.h>
int main()
{
    int N,M,i,j,l;
    scanf("%d %d",&N,&M);
    char A[N][M];
    for(i=0;i<N;i++)
    {
        for(j=0;j<M;j++)
        {
            A[i][j]=getchar();
        }
    }
}